# DRAGON QUEST XI S: Echoes of an Elusive Age - Definitive Edition 1.0.3/1.0.4
# BID: 1719AABFA5EAE42B

unsafeCheck: true

ALL_FPS:
  # r.DynamicResolution.MaxTimeBudget = 0.99 * (1000/FPS)
  -
    type: evaluate_write
    address: [MAIN, 0x84ECDD8, 0]
    value_type: float
    value: ["0.99 * FRAMETIME_TARGET", "0.99 * FRAMETIME_TARGET"]
  # r.DynamicResolution.MinTimeBudget = 0.9 * (1000/FPS)
  -
    type: evaluate_write
    address: [MAIN, 0x84ECDF0, 0]
    value_type: float
    value: ["0.9 * FRAMETIME_TARGET", "0.9 * FRAMETIME_TARGET"]
  # r.DynamicResolution.HeavyTimeBudget = 1.05 * (1000/FPS)
  -
    type: evaluate_write
    address: [MAIN, 0x84ECE08, 0]
    value_type: float
    value: ["1.05 * FRAMETIME_TARGET", "1.05 * FRAMETIME_TARGET"]
  # r.DynamicResolution.LightTimeBudget = 0.9 * (1000/FPS)
  -
    type: evaluate_write
    address: [MAIN, 0x84ECE20, 0]
    value_type: float
    value: ["0.9 * FRAMETIME_TARGET", "0.9 * FRAMETIME_TARGET"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x8501C48, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x7879500, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing
